package com.flyfish.framework.compiler.core;

import java.io.Closeable;

/**
 * 第三方java编译器
 *
 * @author wangyu
 */
public interface VendorJavaCompiler extends Closeable {

    static VendorJavaCompiler string() {
        return new JavaStringCompiler(ClassLoaders.memory());
    }

    /**
     * 编译并返回编译结果
     *
     * @param name   文件名
     * @param source 源码
     * @return 完整类名
     */
    String compile(String name, String source);

    /**
     * 获取动态classLoader
     *
     * @return 结果
     */
    DynamicClassLoader getClassLoader();
}
