package com.flyfish.framework.annotations;

import com.flyfish.framework.config.EnumConfig;
import org.springframework.context.annotation.Import;

import java.lang.annotation.*;

/**
 * 启用枚举端点，处理枚举类型
 *
 * @author wangyu
 */
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Import(EnumConfig.class)
public @interface EnableEnumEndpoint {

    /**
     * 默认扫描包
     *
     * @return 结果
     */
    String[] scanPackages() default "com.flyfish.project";
}
