package com.flyfish.framework.auditor;

import com.flyfish.framework.domain.base.Domain;
import com.flyfish.framework.generation.CodeRules;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

@Component
public class CommonBeanAuditor implements BeanAuditor<Domain> {

    /**
     * 对实体进行审查，并补全相关字段
     *
     * @param data 原数据
     */
    @Override
    public void audit(Domain data) {
        // 编码审查，自动生成
        if (StringUtils.isBlank(data.getId()) && StringUtils.isBlank(data.getCode())) {
            String ruledCode = CodeRules.get(data);
            if (null != ruledCode) {
                data.setCode(ruledCode);
            }
        }
    }
}
