package com.flyfish.framework.query.chain;

import com.flyfish.framework.domain.base.Domain;
import com.flyfish.framework.query.LambdaQueryChain;
import com.flyfish.framework.query.QueryCondition;
import com.flyfish.framework.query.support.DomainFunction;

/**
 * 默认按lambda的查询链实现
 *
 * @author wangyu
 */
public class DefaultLambdaQueryChain<T extends Domain> extends DefaultQueryChain<LambdaQueryChain<T>, DomainFunction<T>> implements LambdaQueryChain<T> {

    private QueryCondition<LambdaQueryChain<T>> createCondition(DomainFunction<T> column) {
        return createCondition(column.getName());
    }

    /**
     * 以且连接下一个字段
     *
     * @param column 列
     * @return 查询条件
     */
    @Override
    public QueryCondition<LambdaQueryChain<T>> and(DomainFunction<T> column) {
        and();
        return createCondition(column);
    }

    /**
     * 以或连接下一个字段
     *
     * @param column 列
     * @return 查询条件
     */
    @Override
    public QueryCondition<LambdaQueryChain<T>> or(DomainFunction<T> column) {
        or();
        return createCondition(column);
    }
}
