package com.flyfish.framework.query.spi;

import com.flyfish.framework.domain.base.Domain;
import com.flyfish.framework.query.spi.adaptor.CriteriaAdaptor;
import com.flyfish.framework.query.spi.converter.QueryConverter;
import com.flyfish.framework.utils.Supportable;
import org.springframework.data.repository.core.EntityInformation;

/**
 * 查询工厂，提供统一的实例
 *
 * @param <C> 查询条件对象泛型
 * @param <Q> 查询对象泛型
 * @author wangyu
 */
public interface QueryFactory<C, Q> extends Supportable<EntityInformation<? extends Domain, String>> {

    /**
     * 获取查询转换器
     *
     * @return 结果
     */
    QueryConverter<Q> getConverter();

    /**
     * 获取查询适配器
     *
     * @return 结果
     */
    CriteriaAdaptor<C> getAdaptor();
}
