package com.flyfish.framework.annotations;

import com.flyfish.framework.annotations.ComputedProps.List;

import java.lang.annotation.*;

import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * 联动属性声明
 *
 * @author wangyu
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Repeatable(List.class)
public @interface ComputedProps {

    /**
     * 属性名
     *
     * @return 结果
     */
    String prop();

    /**
     * 来自的字段值
     *
     * @return 结果
     */
    String field() default "";

    /**
     * 表达式
     *
     * @return 结果
     */
    String expression() default "";

    /**
     * 可重复支持
     */
    @Target(ElementType.FIELD)
    @Retention(RUNTIME)
    @Documented
    @interface List {

        ComputedProps[] value();
    }
}
