package com.flyfish.framework.annotations;

import com.flyfish.framework.enums.NamedEnum;

import java.lang.annotation.*;

/**
 * 枚举值标记
 *
 * @author wangyu
 * 可以提供元数据的配置
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.FIELD})
@Documented
public @interface EnumValue {

    /**
     * 提供明确的类型
     *
     * @return 结果
     */
    Class<? extends NamedEnum> value();
}
