package com.flyfish.framework.context.interceptor;

import reactor.core.publisher.Mono;

/**
 * 视图模型拦截器
 *
 * @author wangyu
 */
public interface ViewModelInterceptor {

    /**
     * 是否支持
     *
     * @param data 数据
     * @return 结果
     */
    boolean supports(Object data);

    /**
     * 拦截并返回
     *
     * @param data 数据
     * @param <T>  泛型
     * @return 结果
     */
    <T> Mono<T> intercept(T data);
}
