package com.flyfish.framework.mongodb.repository.factory;

import com.flyfish.framework.mongodb.repository.impl.DefaultReactiveRepositoryImpl;
import org.springframework.data.mongodb.core.ReactiveMongoOperations;
import org.springframework.data.mongodb.repository.support.ReactiveMongoRepositoryFactory;
import org.springframework.data.repository.core.RepositoryMetadata;
import org.springframework.lang.NonNull;

public class DefaultReactiveRepositoryFactory extends ReactiveMongoRepositoryFactory {

    /**
     * Creates a new {@link ReactiveMongoRepositoryFactory} with the given {@link ReactiveMongoOperations}.
     *
     * @param mongoOperations must not be {@literal null}.
     */
    public DefaultReactiveRepositoryFactory(ReactiveMongoOperations mongoOperations) {
        super(mongoOperations);
        this.setRepositoryBaseClass(DefaultReactiveRepositoryImpl.class);
    }

    @Override
    @NonNull
    protected Class<?> getRepositoryBaseClass(@NonNull RepositoryMetadata metadata) {
        return DefaultReactiveRepositoryImpl.class;
    }
}
