package com.flyfish.test.mongo;

import com.flyfish.test.mongo.repository.TestDO;
import com.flyfish.test.mongo.repository.TestQO;
import com.flyfish.test.mongo.repository.TestRepository;
import com.flyfish.framework.mongodb.config.MongoDataConfig;
import com.flyfish.framework.mongodb.config.annotations.EnableReactiveMongoRepo;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.context.annotation.Import;
import org.springframework.test.context.junit.jupiter.SpringExtension;

import javax.annotation.Resource;

@ExtendWith(SpringExtension.class)
@SpringBootTest(classes = MongoRepositoryTest.class)
@SpringBootApplication(scanBasePackages = "com.flyfish.framework")
@Import(MongoDataConfig.class)
@EnableReactiveMongoRepo
public class MongoRepositoryTest {

    @Resource
    private TestRepository testRepository;

    @Test
    public void test() {
        TestQO qo = new TestQO();
        qo.setName("名");
        TestDO test = new TestDO();
        test.setId("1");
        test.setCode("ttt");
        test.setName("测试名称");

        System.out.println(testRepository.insert(test).block());
        System.out.println(testRepository.findAll(qo).collectList().block());
    }
}
