package com.flyfish.framework.r2dbc.repository.factory;

import com.flyfish.framework.r2dbc.repository.impl.QueryingR2dbcReactiveRepository;
import org.springframework.data.r2dbc.core.R2dbcEntityOperations;
import org.springframework.data.r2dbc.repository.support.R2dbcRepositoryFactory;
import org.springframework.data.repository.core.RepositoryMetadata;
import org.springframework.lang.NonNull;

public class DefaultReactiveRepositoryFactory extends R2dbcRepositoryFactory {

    /**
     * Creates a new {@link R2dbcRepositoryFactory} given {@link R2dbcEntityOperations}.
     *
     * @param operations must not be {@literal null}.
     * @since 1.1.3
     */
    public DefaultReactiveRepositoryFactory(R2dbcEntityOperations operations) {
        super(operations);
        this.setRepositoryBaseClass(QueryingR2dbcReactiveRepository.class);
    }

    @Override
    @NonNull
    protected Class<?> getRepositoryBaseClass(@NonNull RepositoryMetadata metadata) {
        return QueryingR2dbcReactiveRepository.class;
    }
}
