package com.flyfish.framework.user.domain;

import com.flyfish.framework.domain.po.Department;
import com.flyfish.framework.domain.tree.TreeQo;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.StringUtils;

/**
 * 部门（校区）查询实体
 *
 * @author wybab
 */
@Getter
@Setter
public class DepartmentQo extends TreeQo<Department> {

    /**
     * 额外的参数，仅针对getList指定，一般用于回显父级部门
     */
    private String additional;

    @Override
    public boolean isEmpty() {
        return super.isEmpty() && StringUtils.isBlank(additional);
    }
}
